%define debug_package %{nil}
%define product_family Springdale Linux
%define release_name Torino
%define base_release_version 5
%define full_release_version 5.11

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif

Summary: %{product_family} release file
Name: springdale-release
Version: %{base_release_version}
Release: %{full_release_version}.0.4
License: GPL
Group: System Environment/Base
Source: springdale-release-%{base_release_version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat
Obsoletes: PU_IAS-release
BuildRoot: %{_tmppath}/redhat-release-root
Provides: config(redhat-release) = 5Client-%{release}
Provides: redhat-release = 5Client-%{release}
Provides: config(redhat-release) = 5Server-%{release}
Provides: redhat-release = 5Server-%{release}
Provides: redhat-release = %{full_release_version}
Provides: PU_IAS-release = %{version}-%{release}
# now for some obsoletes we need to drop in 5.7
# fuse, sundance kernel modules are now included in the kernel
Obsoletes: kmod-fuse kmod-fuse-xen kmod-fuse-PAE fuse-kmod-debuginfo
Obsoletes: kmod-rtl8180 kmod-rtl8180-xen kmod-rtl8180-PAE rtl8180-kmod-debuginfo
Obsoletes: kmod-sundance kmod-sundance-xen kmod-sundance-PAE sundance-kmod-debuginfo

%description
%{product_family} release files

%prep
%setup -q -n springdale-release-%{base_release_version}

%build
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > $RPM_BUILD_ROOT/etc/springdale-release
ln -sf springdale-release $RPM_BUILD_ROOT/etc/redhat-release
ln -sf springdale-release $RPM_BUILD_ROOT/etc/PU_IAS-release
cp $RPM_BUILD_ROOT/etc/springdale-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
for file in *.repo; do
    install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.*_* $RPM_BUILD_ROOT/usr/share/eula

#mkdir -p $RPM_BUILD_ROOT/var/lib
#cp %{current_arch}/supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

#mkdir -p -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
#for file in redhat*repo ; do
#  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
#done

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/springdale-release
%attr(0644,root,root) /etc/PU_IAS-release
%attr(0644,root,root) /etc/redhat-release
#%dir /etc/yum.repos.d
#%config(noreplace) /etc/yum.repos.d/*
%doc EULA GPL autorun-template
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/yum.repos.d/*

%changelog
* Fri Mar 23 2007 Josko Plazonic <plazonic@math.princeton.edu> 5-5.0.0.9
- initial PU_IAS release rpm, removed RH stuff

* Thu Feb  8 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.9
- Translation fixes
- Related: rhbz#215279

* Tue Feb  6 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.8
- EULA line wrap fixes
- Resolves: rhbz#227261

* Thu Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.7
- Translation fixes
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.6
- match EULA to eula.en_US
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.5
- Translation fixes
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.4
- Fix bug that dropped some EULAs
- Related: rhbz#215279

* Wed Jan 24 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.3
- Updated EULAs
- Resolves: rhbz#215279

* Tue Jan 23 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.2
- rhel-debuginfo.repo is now configured to use the new GPG key
- Relates: rhbz#217755

* Wed Jan 17 2007 Dennis Gregorovic <dgregor@redhat.com> - 5Client-5.0.0.1
- Bump for RC
- Resolves: rhbz#223124

* Thu Dec 14 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-7
- quote the directory name in autorun
- Resolves: rhbz#219468

* Wed Dec 13 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-6
- new RPM GPG keys
- Resolves: rhbz#219469

* Tue Dec  5 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-5
- Added rhel-debuginfo.repo
- Resolves: rhbz#217755

* Thu Nov 30 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-4
- Fix a translation issue
- Resolves: rhbz#212958

* Thu Nov  9 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-3
- Removed /etc/sysconfig/rhn
- Resolves: rhbz#214712

* Wed Nov  1 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-2
- Fix version in /etc/redhat-release
- Resolves: rhbz#213429

* Wed Oct 25 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.92Client-1
- Bump version for Beta 2

* Wed Oct 25 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.91Client-3
- Obsolete comps and rpmdb-redhat
- Resolves: rhbz#211646

* Sat Oct 14 2006 Dennis Gregorovic <dgregor@redhat.com> - 4.91Client-2
- replace gtk.TRUE/FALSE with TRUE/FALSE in eula.py
- Resolves: rhbz#210410


